<template>
  <el-drawer v-model="keShiFeiYongDrawer">
    <el-table :data="feiYongData">
      <el-table-column label="科室" prop="execUnitName"></el-table-column>
      <el-table-column label="费用" prop="chargeFee"></el-table-column>
      <el-table-column label="数量" prop="chargeAmount"></el-table-column>
    </el-table>
  </el-drawer>
</template>

<script>
import {ref} from "vue";
import {getHuanZheFeiYong} from "../../api/medical-insurance/si-setl-upload";

export default {
  name: "KeShiFeiYong",
  setup(props, ctx) {
    const keShiFeiYongDrawer = ref(false)
    const feiYongData = ref([])

    const getFeiYongClick = (patNo, times) => {
      getHuanZheFeiYong(patNo, times).then((res) => {
        feiYongData.value = res
        keShiFeiYongDrawer.value = true
        console.log(feiYongData.value)
      })
    }

    return {
      keShiFeiYongDrawer,
      feiYongData,
      getFeiYongClick,
    }
  }
}
</script>

<style scoped>

</style>
